## thunderbird 60.6.1+build2

=== testing/web-platform/tests/tools/wptrunner/requirements.txt ===
html5lib >= 0.99
mozinfo >= 0.7
mozlog >= 3.5
mozdebug >= 0.1
urllib3[secure]

=== debian/changelog ===
thunderbird (1:60.6.1+build2-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (60.6.1build2)

  * Remove the unused thunderbird-testsuite package (empty since version 38.2.0)
    - Modified:
      - debian/build/rules.mk
      - debian/control{,.in}
      - debian/rules
    - Removed:
      - debian/build/testsuite.mk
      - debian/patches/test-fixes/*.patch
      - debian/patches/test-integration/*.patch
      - debian/testing/*
      - debian/tests/*
      - debian/thunderbird-testsuite.*

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 25 Mar 2019 15:55:04 +0100

thunderbird (1:60.5.3+build1-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (60.5.3build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 05 Mar 2019 10:24:12 +0100

thunderbird (1:60.5.1+build2-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (60.5.1build2)

  * Refresh patches:
    - debian/patches/drop-check-glibc-symbols.patch
    - debian/patches/unity-menubar.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 19 Feb 2019 16:03:57 +0100

thunderbird (1:60.4.0+build2-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (60.4.0build2)

  * Refresh patches
    - update debian/patches/rust-drop-dll-checksums.patch
  * Fix a typo in the help text for the script to create the source tarball
    - update debian/build/create-tarball.py
  * Use https for source repositories
    - update debian/config/branch.mk

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 16 Jan 2019 09:49:54 +0100

thunderbird (1:60.0+build4-0ubuntu0.14.04.2) trusty-security; urgency=medium

  * New upstream stable release (60.0build4)

  [ Chris Coulson ]
  * Stop installing the NPAPI headers and make thunderbird-dev a transitional
    package
    - update debian/build/rules.mk
    - update debian/control{,.in}
    - remove debian/thunderbird-dev.install.in
    - remove debian/thunderbird-dev.links.in
  * Update packaging to work with the reversed repository layout (comm in
    mozilla)
    - update debian/create-tarball.py
    - update debian/build/rules.mk
    - update debian/config/branch.mk
    - update debian/config/mozconfig.in
    - update debian/config/tarball.conf
    - update debian/rules
  * Build using mach
    - update debian/build/rules.mk
  * Don't clean Cargo.toml.orig files which are actually required
    - update debian/build/rules.mk
  * Avoid direct dependency on libgtk2.0-0
    - update debian/build/rules.mk
  * Drop the ancient and unused version of compare-locales from the
    tarball
    - update debian/build/create-tarball.py
    - update debian/build/rules.mk
  * Update make-langpack-xpis target
    - debian/build/rules.mk
  * Update build to work with language packs based on web extensions
    - debian/build/xpi-id.py
  * Refresh shipped locales
    - update debian/config/locales.all
    - update debian/config/locales.shipped
    - update debian/control{,.in}
  * Drop build-dependency on gconf
    - update debian/config/mozconfig.in
    - update debian/control{,.in}
  * Drop obsolete quilt and libgnomeui build-dependencies
    - update debian/control{,.in}
  * Hopefully fix LP: #1711337 by building the armhf build with
    -fno-schedule-insns to work around a compiler bug
  * Drop obsolete --enable-gio build flag
    - update debian/config/mozconfig.in
  * Disable webrtc on non-x86 architectures
    - update debian/config/mozconfig.in
  * Don't build with --enable-alsa
    - update debian/config/mozconfig.in
  * Drop obsolete DISABLE_LIGHTNING_INSTALL export
    - update debian/config/mozconfig.in
  * Bump rustc and cargo requirements
    - update debian/control{,.in}
  * Build-depend on clang-4.0 / llvm-4.0-dev
    - update debian/control{,.in}
  * Depend on libdbusmenu-gtk3-4 instead of the GTK+ 2 version
    - update debian/control{,.in}
  * The gdata-provider extension is no longer built, so make
    xul-ext-gdata-provider a transitional package now
    - update debian/control{,.in}
    - update debian/rules
  * Drop patches that are either fixed upstream or no longer needed
    - remove debian/patches/dont-install-blessings-from-network.patch
    - remove debian/patches/dont-override-general-useragent-locale.patch
    - update debian/patches/series
  * mozbuild/shellutil.py: Don't treat '~' character as special
    - add debian/patches/dont-treat-tilde-as-special.patch
    - update debian/patches/series
  * Compile rust code with "debuginfo=1" on 32-bit hosts to reduce code size
    and hopefully prevent the builds from running out of address space
    - add debian/patches/reduce-rust-debuginfo-on-32bit-architectures.patch
    - update debian/patches/series
  * Don't try to check checksums of windows-only binary files which are
    not included in the tarball
    - debian/patches/rust-drop-dll-checksums.patch
  * Refresh patches
    - update debian/patches/set-prgname-to-remoting-name.patch
    - update debian/patches/support-coinstallable-trunk-build.patch
    - update debian/patches/unity-menubar.patch
  * Don't unpack the lightning xpi
    - update debian/rules
  * Update install
    - update debian/thunderbird.install.in
    - update debian/thunderbird.links.in
  * Don't set distribution.searchplugins.defaultLocale, as it isn't needed
    - update debian/vendor.js
  * Update messagingmenu-extension to 1.4
    - adds compatibility for Thunderbird 60
    - fixes an alignment issue in the preferences pane
  * Build with --disable-tests. We don't run any anyway, and this should
    stop the build from trying to download python packages from the network
    - update debian/config/mozconfig.in
  * Fix up the build-flags, ensuring we remove -g and optimization flags from
    CFLAGS and CXXFLAGS, allowing the upstream build to choose these. Also
    build with --enable-debug-symbols
    - update debian/build/config.mk
    - update debian/build/rules.mk
    - update debian/config/mozconfig.in


=== debian/control ===
# vim:noexpandtab:
Source: thunderbird
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/thunderbird/thunderbird.trusty
Build-Depends: cdbs (>= 0.4.27),
	debhelper (>= 7),
	autotools-dev,
	autoconf2.13,
	zip,
	libx11-dev,
	libx11-xcb-dev,
	libxt-dev,
	libxext-dev,
	libgtk2.0-dev (>= 2.14),
	libgtk-3-dev (>= 3.4),
	libglib2.0-dev (>= 2.18),
	libpango1.0-dev (>= 1.14.0),
	libfontconfig1-dev,
	libfreetype6-dev (>= 2.0.1),
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev,
	libxrender-dev,
	libpulse-dev,
	yasm (>= 1.1),
	imagemagick,
	docbook-to-man,
	libkrb5-dev,
	unzip,
	dbus-x11,
	xvfb,
	python (>= 2.7),
	python3 (>= 3.5) | python3.5,
	libffi-dev (>= 3.0.9) [powerpc ppc64el s390x],
	clang-4.0,
	llvm-4.0-dev,
	cargo (>= 0.25),
	rustc (>= 1.24.0),
	gcc-mozilla (>= 6.4), gcc-mozilla (<< 7)
#Build-Conflicts: python-progressbar
Standards-Version: 3.9.1
#XS-Testsuite: autopkgtest

Package: thunderbird
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends}
Recommends: myspell-en-us | hunspell-dictionary | myspell-dictionary,
	${support:Recommends},
	libcanberra0,
	libdbusmenu-glib4,
	libdbusmenu-gtk3-4
Suggests: ${support:Suggests},
	ttf-lyx
Breaks: ${transitional:Breaks}
Replaces: ${transitional:Replaces}
Conflicts: ${app:Conflicts},
	${transitional:Conflicts}
Provides: mail-reader,
	${app:Provides}
Section: mail
Description: Email, RSS and newsgroup client with integrated spam filter
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.

Package: thunderbird-gnome-support
Architecture: any
Section: gnome
Depends: ${shlibs:Depends},
	thunderbird (= ${binary:Version}),
	${misc:Depends},
	${unity:Depends},
	libnotify4 | libnotify1
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - GNOME support
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package depends on the GNOME libraries which allow Thunderbird to take
 advantage of technologies such as GConf, GIO and libnotify

Package: thunderbird-dev
Architecture: any
Section: oldlibs
Depends: ${misc:Depends}
Description: Email, RSS and newsgroup client - development files
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-dbg
Architecture: any
Section: debug
Priority: extra
Depends: thunderbird (= ${binary:Version}),
	${shlibs:Depends},
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - debug symbols
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the debugging symbols for Thunderbird

Package: thunderbird-mozsymbols
Architecture: amd64 i386 armel
Section: debug
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - Breakpad symbols
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the Firefox symbols in a format expected by Mozilla's
 Breakpad. Eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

Package: xul-ext-lightning
Architecture: any
Depends: thunderbird (= ${binary:Version}),
	${shlibs:Depends},
	${misc:Depends}
Recommends: xul-ext-gdata-provider,
	xul-ext-calendar-timezones
Enhances: thunderbird
Description: Calendar Extension for Thunderbird
 Lighting is the Mozilla Calendar extension for Thunderbird, based
 on Sunbird - the Mozilla Standalone Calendar application. It is tightly 
 integrated with Thunderbird, allowing it to easily perform email-related 
 calendaring tasks.

# Transitional packages below here

# Can be dropped after 14.04
Package: thunderbird-globalmenu
Architecture: any
Section: oldlibs
Priority: extra
Depends: thunderbird,
	${misc:Depends}
Description: Email, RSS and newsgroup client (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

# Can be dropped after 14.04
Package: xul-ext-calendar-timezones
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}
Description: Calendar Extension for Thunderbird (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: xul-ext-gdata-provider
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}
Description: Calendar Extension for Thunderbird (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-gnome-support-dbg
Architecture: any
Depends: thunderbird-gnome-support, thunderbird-dbg, ${misc:Depends}
Description: Email, RSS and newsgroup client - transitional package
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-bn-bd
Architecture: all
Depends: thunderbird-locale-bn, ${misc:Depends}
Description: Transitional Bengali language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-en-gb
Architecture: all
Depends: thunderbird-locale-en, ${misc:Depends}
Description: Transitional English language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-en-us
Architecture: all
Depends: thunderbird-locale-en, ${misc:Depends}
Description: Transitional English language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-es-ar
Architecture: all
Depends: thunderbird-locale-es, ${misc:Depends}
Description: Transitional Spanish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-es-es
Architecture: all
Depends: thunderbird-locale-es, ${misc:Depends}
Description: Transitional Spanish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-fy-nl
Architecture: all
Depends: thunderbird-locale-fy, ${misc:Depends}
Description: Transitional Western Frisian language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-ga-ie
Architecture: all
Depends: thunderbird-locale-ga, ${misc:Depends}
Description: Transitional Irish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-nb-no
Architecture: all
Depends: thunderbird-locale-nb, ${misc:Depends}
Description: Transitional Norwegian language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-nn-no
Architecture: all
Depends: thunderbird-locale-nn, ${misc:Depends}
Description: Transitional Norwegian language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-pa-in
Architecture: all
Depends: thunderbird-locale-pa, ${misc:Depends}
Description: Transitional Punjabi language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-pt-br
Architecture: all
Depends: thunderbird-locale-pt, ${misc:Depends}
Description: Transitional Portugese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-pt-pt
Architecture: all
Depends: thunderbird-locale-pt, ${misc:Depends}
Description: Transitional Portugese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-sv-se
Architecture: all
Depends: thunderbird-locale-sv, ${misc:Depends}
Description: Transitional Swedish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-ta-lk
Architecture: all
Depends: thunderbird-locale-ta, ${misc:Depends}
Description: Transitional Tamil language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-zh-cn
Architecture: all
Depends: thunderbird-locale-zh-hans, ${misc:Depends}
Description: Transitional Simplified Chinese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-zh-tw
Architecture: all
Depends: thunderbird-locale-zh-hant, ${misc:Depends}
Description: Transitional Traditional Chinese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

# Language packs below here

Package: thunderbird-locale-af
Architecture: any
Depends: ${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Transitional package for unavailable language
 This language is unavailable for the current version of Thunderbird
 .
 This is an empty transitional package to ensure a clean upgrade
 process. You can safely remove this package after installation.

Package: thunderbird-locale-ar
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Arabic language pack for Thunderbird
 This package contains Arabic translations and search plugins
 for Thunderbird

Package: thunderbird-locale-ast
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Asturian language pack for Thunderbird

=== debian/rules ===
#!/usr/bin/make -f

MOZ_PKG_BASENAME	:= thunderbird

include $(CURDIR)/debian/build/config.mk

MOZ_APP			:= comm/mail
MOZ_VENDOR		:=
MOZ_MOZDIR		:= mozilla
MOZ_SUBREPO_DIR	:= comm

MOZ_BRANDING		:= $(CHANNEL)
ifneq (,$(filter release beta, $(MOZ_BRANDING)))
MOZ_BRANDING		:= official
endif
ifeq (1,$(MOZ_FORCE_UNOFFICIAL_BRANDING))
ifneq (,$(filter official aurora, $(MOZ_BRANDING)))
MOZ_BRANDING		:= nightly
endif
endif
ifeq (official,$(MOZ_BRANDING))
MOZ_BRANDING_DIR	:= other-licenses/branding/thunderbird
MOZ_BRANDING_OPTION	:= --enable-official-branding
else
MOZ_BRANDING_DIR	:= $(MOZ_APP)/branding/$(MOZ_BRANDING)
MOZ_BRANDING_OPTION	:= --with-branding=$(MOZ_BRANDING_DIR)
endif

MOZ_SEARCHPLUGIN_DIR	= $(MOZ_LIBDIR)/distribution/searchplugins

ifneq (,$(filter precise, $(DISTRIB_CODENAME)))
UNITY_DEPENDS	:= libindicate5, libdbusmenu-gtk4, libunity9, libebook-1.2-12, libedataserver-1.2-15
else
ifneq (,$(filter quantal raring saucy, $(DISTRIB_CODENAME)))
UNITY_DEPENDS	:= libmessaging-menu0, libunity9, libebook-1.2-14, libedataserver-1.2-17
else
UNITY_DEPENDS	:= libmessaging-menu0, libunity9
endif
endif

# Make sure thunderbird-couchdb is removed on upgrade to 12.10
# See https://launchpad.net/bugs/1040839
ifeq (,$(filter precise, $(DISTRIB_CODENAME)))
TB_COUCHDB_BREAKS	:= thunderbird-couchdb
endif

MOZ_LIGHTNING_PKG_NAME		= $(addsuffix $(subst $(MOZ_PKG_BASENAME),,$(MOZ_PKG_NAME)),xul-ext-lightning)
MOZ_CALENDAR_TZ_PKG_NAME	= $(addsuffix $(subst $(MOZ_PKG_BASENAME),,$(MOZ_PKG_NAME)),xul-ext-calendar-timezones)
MOZ_GDATA_PROVIDER_PKG_NAME	= $(addsuffix $(subst $(MOZ_PKG_BASENAME),,$(MOZ_PKG_NAME)),xul-ext-gdata-provider)

MOZ_PKG_SUPPORT_SUGGESTS = $(MOZ_PKG_NAME)-gnome-support

MOZ_PKGNAME_SUBST_FILES = \
	debian/$(MOZ_PKG_BASENAME).sh \
	debian/apport/blacklist \
	debian/apport/native-origins \
	debian/apport/source_$(MOZ_PKG_NAME).py \
	$(NULL)

include $(CURDIR)/debian/build/rules.mk

debian/control::
	sed -i -e 's/@MOZ_LIGHTNING_PKG_NAME@/$(MOZ_LIGHTNING_PKG_NAME)/g' \
	       -e 's/@MOZ_CALENDAR_TZ_PKG_NAME@/$(MOZ_CALENDAR_TZ_PKG_NAME)/g' \
	       -e 's/@MOZ_GDATA_PROVIDER_PKG_NAME@/$(MOZ_GDATA_PROVIDER_PKG_NAME)/g' debian/control

make-messagingmenu-addon: debian/messagingmenu/messagingmenu@mozilla.com.xpi
debian/messagingmenu/messagingmenu@mozilla.com.xpi:
	cd $(CURDIR)/debian/messagingmenu; \
		sh build.sh || exit 1; \
		mv $(CURDIR)/debian/messagingmenu/messagingmenu.xpi $(CURDIR)/debian/messagingmenu/messagingmenu@mozilla.com.xpi

common-build-arch:: make-messagingmenu-addon

WRITE_SUBSTVARS = $(shell echo "$(2)=$(3)" | sed 's/[ \t\n]\+/ /g' >> debian/$(1).substvars)

ifeq (thunderbird,$(MOZ_PKG_NAME))
TB_REPLACES = mozilla-thunderbird, thunderbird-gnome-support (<= 3.0.4+nobinonly-0ubuntu3)
TB_CONFLICTS = mozilla-thunderbird
TB_BREAKS = thunderbird-gnome-support (<= 3.0.4+nobinonly-0ubuntu3), $(TB_COUCHDB_BREAKS)
install/thunderbird::
	$(call WRITE_SUBSTVARS,thunderbird,transitional:Replaces,$(TB_REPLACES))
	$(call WRITE_SUBSTVARS,thunderbird,transitional:Conflicts,$(TB_CONFLICTS))
	$(call WRITE_SUBSTVARS,thunderbird,transitional:Breaks,$(TB_BREAKS))
else
TB_BREAKS = $(TB_COUCHDB_BREAKS)
install/$(MOZ_PKG_NAME)::
	$(call WRITE_SUBSTVARS,$(MOZ_PKG_NAME),transitional:Breaks,$(TB_BREAKS))
endif

ifneq (,$(UNITY_DEPENDS))
install/$(MOZ_PKG_NAME)-gnome-support::
	$(call WRITE_SUBSTVARS,$(MOZ_PKG_NAME)-gnome-support,unity:Depends,$(UNITY_DEPENDS))
endif

binary-install/$(MOZ_PKG_NAME)::
	convert -resize 32x32 debian/$(MOZ_PKG_NAME)/usr/share/pixmaps/$(MOZ_APP_NAME).png debian/$(MOZ_PKG_NAME)/usr/share/pixmaps/$(MOZ_APP_NAME).xpm
	echo "/usr/share/applications/$(MOZ_APP_NAME).desktop" > debian/$(MOZ_PKG_NAME)/usr/share/indicators/messages/applications/$(MOZ_APP_NAME)

binary-install/$(MOZ_LIGHTNING_PKG_NAME)::
	dh_install -p$(MOZ_LIGHTNING_PKG_NAME) $(MOZ_LIBDIR)/distribution/extensions/\\{e2fda1a4-762b-4020-b5ad-a41df1933103\\}.xpi $(MOZ_ADDONDIR)/extensions

pre-build::
	$(shell /usr/bin/docbook-to-man $(CURDIR)/debian/thunderbird.sgml > $(CURDIR)/debian/$(MOZ_APP_NAME).1)

clean::
	rm -f debian/messagingmenu/*.xpi
	rm -f debian/$(MOZ_APP_NAME).1

.PHONY: make-messagingmenu-addon

## thunderbird 60.7.0

=== debian/changelog ===
thunderbird (2:60.7.0-1~mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 24 May 2019 15:32:34 -0700

thunderbird (1:60.7.0-1) unstable; urgency=medium

  * [f6dd130] New upstream version 60.7.0
    Fixed CVE issues in upstream version 60.7.0 (MFSA 2019-15)
    CVE-2019-9816: Type confusion with object groups and UnboxedObjects
    CVE-2019-9817: Stealing of cross-domain images using canvas
    CVE-2019-9819: Compartment mismatch with fetch API
    CVE-2019-9820: Use-after-free of ChromeEventHandler by DocShell
    CVE-2019-11691: Use-after-free in XMLHttpRequest
    CVE-2019-11692: Use-after-free removing listeners in the event listener
                    manager
    CVE-2019-11693: Buffer overflow in WebGL bufferdata on Linux
    CVE-2019-7317: Use-after-free in png_image_free of libpng library
    CVE-2019-9797: Cross-origin theft of images with createImageBitmap
    CVE-2018-18511: Cross-origin theft of images with
                    ImageBitmapRenderingContext
    CVE-2019-11698: Theft of user history data through drag and drop of
                    hyperlinks to and from bookmarks
    CVE-2019-5798: Out-of-bounds read in Skia
    CVE-2019-9800: Memory safety bugs fixed in Firefox 67, Firefox ESR 60.7,
                   and Thunderbird 60.7
  * [4106d54] rebuild patch queue from patch-queue branch
    added patch:
    fixes/rust-ignore-not-available-documentation.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 23 May 2019 17:03:27 +0200

=== debian/control ===
Source: thunderbird
Section: mail
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
Uploaders:
 Christoph Goehre <chris@sigxcpu.org>,
Build-Depends:
 autoconf2.13,
 bash-completion,
 bzip2,
 cargo (>= 0.20),
 clang-4.0,
 debhelper (>= 10.2.5~),
 dh-apparmor,
 dh-exec,
 dpkg (>= 1.16.18~),
 dpkg-dev (>= 1.16.18~),
 libasound2-dev [linux-any],
 libatk-adaptor,
 libbz2-dev,
 libcairo2-dev (>= 1.10.2-1.1~),
 libclang-4.0-dev,
 libdbus-glib-1-dev (>= 0.60),
 libevent-dev (>= 1.4.1),
 libffi-dev,
 libfontconfig1-dev,
 libglib2.0-dev (>= 2.22.0),
 libglib2.0-dev,
 libgtk2.0-dev,
 libgtk-3-dev (>= 3.4),
# libhunspell-dev (>= 1.5.1~),
# libicu-dev (>= 59.1~),
 libjsoncpp-dev,
 libidl-dev (>= 0.8.0),
 libiw-dev [linux-any],
 libnotify-dev,
# libnspr4-dev (>= 2:4.19~),
# libnss3-dev (>= 2:3.36.1~),
 libpng-dev,
 libpulse-dev,
 libreadline-dev,
 libstartup-notification0-dev,
# libsqlite3-dev (>= 3.22.0~),
 libvpx-dev (>= 1.5.0),
 libx11-dev,
 libx11-xcb-dev,
 libxau-dev,
 libxft-dev,
 libxt-dev,
 llvm-4.0-dev,
 mesa-common-dev,
 mozilla-devscripts,
 python-minimal (>= 2.6.6-13~),
 python-ply,
 python2.7,
 rustc (>= 1.19),
 unzip,
 yasm (>= 1.1),
 zip,
 zlib1g-dev,
Vcs-Git: https://salsa.debian.org/mozilla-team/thunderbird.git
Vcs-Browser: https://salsa.debian.org/mozilla-team/thunderbird
Homepage: http://www.mozilla.org/thunderbird/
X-Debian-Homepage: http://wiki.debian.org/Thunderbird
Standards-Version: 4.2.0

Package: thunderbird
Architecture: any
Depends:
 debianutils (>= 1.16),
 fontconfig,
 psmisc,
 x11-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 lightning (= ${binary:Version}),
 myspell-en-us | hunspell-dictionary | myspell-dictionary,
Suggests:
 apparmor,
 fonts-lyx,
 libgssapi-krb5-2,
Provides:
 mail-reader,
Xb-Xul-AppId: {3550f703-e582-4d05-9a08-453d09bdfdc6}
Breaks:
 calendar-exchange-provider (<< 4.0.0~beta4-1~),
 enigmail (<< 2:2~),
 hunspell-ar (<< 0.0.0+20080110-1.1),
 hunspell-da (<< 1:3.1.0-3),
 hunspell-de-at (<< 20071211-2),
 hunspell-de-ch (<< 20071211-2),
 hunspell-de-de (<< 20071211-2),
 hunspell-de-med (<< 20090825-1),
 hunspell-en-ca (<< 1:3.1.0-3),
 hunspell-en-us (<< 20070829-3),
 hunspell-fr (<< 1:3.1.0-3),
 hunspell-gl-es (<< 2.2a-6),
 hunspell-hu (<< 1:3.1.0-3),
 hunspell-ko (<< 0.3.3-1),
 hunspell-ne (<< 1:3.1.0-3),
 hunspell-se (<< 1.0~beta6.20081222-1.1),
 hunspell-sh (<< 1:3.1.0-3),
 hunspell-sr (<< 1:3.1.0-3),
 hunspell-uz (<< 0.6-3.1),
 hunspell-vi (<< 1:3.1.0-3),
 lightning (<< ${binary:Version}),
 myspell-af (<< 1:3.1.0-3),
 myspell-ca (<< 0.6-8),
 myspell-cs-cz (<< 20040229-4.1),
 myspell-da (<< 1.6.18-1.1),
 myspell-de-at (<< 20071211-2),
 myspell-de-ch (<< 20071211-2),
 myspell-de-de (<< 20071211-2),
 myspell-de-de-oldspell (<< 1:2-25.1),
 myspell-el-gr (<< 0.3-1.1),
 myspell-en-au (<< 2.1-5),
 myspell-en-gb (<< 1:3.1.0-3),
 myspell-en-us (<< 1:3.1.0-3),
 myspell-en-za (<< 1:3.1.0-3),
 myspell-eo (<< 2.1.2000.02.25-41),
 myspell-es (<< 1.10-7),
 myspell-et (<< 1:20030606-12.1),
 myspell-fa (<< 0.20070816-2),
 myspell-fi (<< 0.7-17.2),
 myspell-fo (<< 0.2.36-3),
 myspell-fr (<< 1.4-25),
 myspell-fr-gut (<< 1:1.0-26.1),
 myspell-ga (<< 2.0-19),
 myspell-gd (<< 0.50-7),
 myspell-gv (<< 0.50-8),
 myspell-hr (<< 20060617-2),
 myspell-hu (<< 0.99.4-1.2),
 myspell-hy (<< 0.10.1-1.1),
 myspell-it (<< 1:3.1.0-3),
 myspell-ku (<< 0.20.0-1.1),
 myspell-lv (<< 0.7.3-3.1),
 myspell-nb (<< 2.0.10-3.1),
 myspell-ne (<< 1.0-4.1),
 myspell-nl (<< 1:1.10-3),
 myspell-nn (<< 2.0.10-3.1),
 myspell-pl (<< 20090830-1),
 myspell-pt-br (<< 2009.03.30-1.1),
 myspell-pt-pt (<< 20090309-1.1),
 myspell-ru (<< 0.99g5-8.1),
 myspell-sk (<< 0.5.5a-2.1),
 myspell-sv-se (<< 1.3.8-6-2.2),
 myspell-sw (<< 1:3.1.0-3),
 myspell-th (<< 1:3.1.0-3),
 myspell-tl (<< 0.4-0-5),
 xul-ext-compactheader (<< 2.1.0~),
 xul-ext-foxyproxy-standard (<< 4.5.6-debian-2~),
 xul-ext-sogo-connector (<< 31.0.5-2~),
Description: mail/news client with RSS, chat and integrated spam filter support
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 It supports different mail accounts, no matter of the used protocol like
 POP(s) or IMAP(s), has an integrated learning Spam filter, and offers easy
 organization of mails with tagging and virtual folders. Also, more features
 can be added by installing extensions.
 .
 The goal of Thunderbird is to produce a cross platform standalone mail
 application using the XUL user interface language.

Package: lightning
Architecture: all
Depends:
 thunderbird (>= ${binary:Version}),
 ${misc:Depends},
Suggests:
 calendar-google-provider,
 fonts-lyx,
Provides:
 calendar-timezones,
Breaks:
 calendar-timezones,
Replaces:
 calendar-timezones,
Description: Calendar Extension for Thunderbird
 Lightning is a calendar extension for Thunderbird. It can handle events,
 event invitations and tasks in multiple calendars.
 .
 It supports local calendars, CalDAV and plain ics files on CardDAV and WebDAV.

Package: calendar-google-provider
Architecture: all
Depends:
 lightning (>= ${binary:Version}),
 ${misc:Depends},
Enhances:
 thunderbird,
 lightning,
Description: Google Calendar support for lightning
 This extension adds support for accessing google calendars in Thunderbird
 via lightning.
 .
 It's a recommended component if you want to connect Thunderbird to your
 Google calendar.

Package: thunderbird-l10n-all
Architecture: all
Section: metapackages
Depends:
 thunderbird-l10n-ar (>= ${binary:Version}),
 thunderbird-l10n-ast (>= ${binary:Version}),
 thunderbird-l10n-be (>= ${binary:Version}),
 thunderbird-l10n-bg (>= ${binary:Version}),
 thunderbird-l10n-br (>= ${binary:Version}),
 thunderbird-l10n-ca (>= ${binary:Version}),
 thunderbird-l10n-cs (>= ${binary:Version}),
 thunderbird-l10n-da (>= ${binary:Version}),
 thunderbird-l10n-de (>= ${binary:Version}),
 thunderbird-l10n-dsb (>= ${binary:Version}),
 thunderbird-l10n-el (>= ${binary:Version}),
 thunderbird-l10n-en-gb (>= ${binary:Version}),
 thunderbird-l10n-es-ar (>= ${binary:Version}),
 thunderbird-l10n-es-es (>= ${binary:Version}),
 thunderbird-l10n-et (>= ${binary:Version}),
 thunderbird-l10n-eu (>= ${binary:Version}),
 thunderbird-l10n-fi (>= ${binary:Version}),
 thunderbird-l10n-fr (>= ${binary:Version}),
 thunderbird-l10n-fy-nl (>= ${binary:Version}),
 thunderbird-l10n-ga-ie (>= ${binary:Version}),
 thunderbird-l10n-gd (>= ${binary:Version}),
 thunderbird-l10n-gl (>= ${binary:Version}),
 thunderbird-l10n-he (>= ${binary:Version}),
 thunderbird-l10n-hr (>= ${binary:Version}),
 thunderbird-l10n-hsb (>= ${binary:Version}),
 thunderbird-l10n-hu (>= ${binary:Version}),
 thunderbird-l10n-hy-am (>= ${binary:Version}),
 thunderbird-l10n-id (>= ${binary:Version}),
 thunderbird-l10n-is (>= ${binary:Version}),
 thunderbird-l10n-it (>= ${binary:Version}),
 thunderbird-l10n-ja (>= ${binary:Version}),
 thunderbird-l10n-kab (>= ${binary:Version}),
 thunderbird-l10n-kk (>= ${binary:Version}),
 thunderbird-l10n-ko (>= ${binary:Version}),
 thunderbird-l10n-lt (>= ${binary:Version}),
 thunderbird-l10n-ms (>= ${binary:Version}),
 thunderbird-l10n-nb-no (>= ${binary:Version}),
 thunderbird-l10n-nl (>= ${binary:Version}),
 thunderbird-l10n-nn-no (>= ${binary:Version}),
 thunderbird-l10n-pl (>= ${binary:Version}),
 thunderbird-l10n-pt-br (>= ${binary:Version}),
 thunderbird-l10n-pt-pt (>= ${binary:Version}),
 thunderbird-l10n-rm (>= ${binary:Version}),
 thunderbird-l10n-ro (>= ${binary:Version}),
 thunderbird-l10n-ru (>= ${binary:Version}),
 thunderbird-l10n-si (>= ${binary:Version}),
 thunderbird-l10n-sk (>= ${binary:Version}),
 thunderbird-l10n-sl (>= ${binary:Version}),
 thunderbird-l10n-sq (>= ${binary:Version}),
 thunderbird-l10n-sr (>= ${binary:Version}),
 thunderbird-l10n-sv-se (>= ${binary:Version}),
 thunderbird-l10n-tr (>= ${binary:Version}),
 thunderbird-l10n-uk (>= ${binary:Version}),
 thunderbird-l10n-vi (>= ${binary:Version}),
 thunderbird-l10n-zh-cn (>= ${binary:Version}),
 thunderbird-l10n-zh-tw (>= ${binary:Version}),
 ${misc:Depends},
Description: All language packages for Thunderbird (meta)
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package is a metapackage depending on all available localization of
 Thunderbird.

Package: thunderbird-l10n-ar
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ar
Recommends:
 hunspell-ar,
Description: Arabic language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Arabic.

Package: thunderbird-l10n-ast
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ast
Description: Asturian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Asturian.

Package: thunderbird-l10n-be
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:be
Recommends:
 hunspell-be,
Description: Belarusian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Belarusian.

Package: thunderbird-l10n-bg
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:bg
Recommends:
 hunspell-bg | myspell-bg,
Description: Bulgarian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Bulgarian.

Package: thunderbird-l10n-br
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:br
Recommends:
 hunspell-br,
Description: Breton language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Breton.

Package: thunderbird-l10n-ca
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ca
Recommends:
 hunspell-ca | myspell-ca,
Description: Catalan/Valencian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Catalan/Valencian.

Package: thunderbird-l10n-cs
Architecture: all
Section: localization
Depends:

## thunderbird 60.7.1

=== layout/reftests/w3c-css/received/selectors/Makefile ===
##############################################################################
# W3C Test Suite Generator                                                   #
##############################################################################

## Variables

DESTINATION_TYPES=$(shell perl generate.pl -v DESTINATION_TYPES)
SHELL_TYPES=$(shell perl generate.pl -v SHELL_TYPES)
TEST_TYPES=$(shell perl generate.pl -v TEST_TYPES)
SOURCE=$(shell ls *.xml)
STYLESHEETS=dist/style/tng.css $(shell perl -e 'foreach $$a (qw($(DESTINATION_TYPES))) { print "dist/style/$$a-full.css\ndist/style/$$a-shell.css\n"; }')


## Main Targets

all: directories cache $(STYLESHEETS) dist/.htaccess dist/CHANGES

directories: Makefile generate.pl utils/*
	-rm -rf dist/
	-rm cache
	perl -e 'foreach $$a (qw($(DESTINATION_TYPES))) { print `mkdir -p dist/$$a/tests\n`; foreach $$b (qw($(TEST_TYPES))) { print `mkdir -p dist/$$a/$$b/flat\n`; foreach $$c (qw($(SHELL_TYPES))) { print `mkdir -p dist/$$a/$$b/$$c\n`; } } }'
	mkdir -p dist/style
	touch directories

cache: $(SOURCE)
	perl generate.pl $?


## Support Files

# (not mentioned in 'all' as there is no README)
dist/README: README.dist
	cp README.dist dist/README

dist/CHANGES: CHANGES
	cp CHANGES dist/CHANGES

dist/style/%.css: %.css
	cp $< $@

dist/.htaccess: htaccess
	cp htaccess dist/.htaccess

## Phony Targets

.PHONY: all clean
clean:
	-rm -rf dist/
	-rm directories
	-rm cache

##############################################################################

=== debian/changelog ===
thunderbird (1:60.7.1-1~deb9u1) stretch-security; urgency=medium

  [ Carsten Schoenert ]
  * Rebuild for stretch-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 14 Jun 2019 10:14:17 +0200

thunderbird (1:60.7.1-1) unstable; urgency=high

  * [f791dee] New upstream version 60.7.1
    Fixed CVE issues in upstream version 60.7.1 (MFSA 2019-17)
    CVE-2019-11703: Heap buffer overflow in icalparser.c
    CVE-2019-11704: Heap buffer overflow in icalvalue.c
    CVE-2019-11705: Stack buffer overflow in icalrecur.c
    CVE-2019-11706: Type confusion in icalproperty.c

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 14 Jun 2019 07:25:35 +0200

thunderbird (1:60.7.0-1~deb9u1) stretch-security; urgency=medium

  [ Carsten Schoenert ]
  * Rebuild for stretch-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 23 May 2019 19:32:27 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# checking the release type, if $(RELEASE)=UNRELEASED we won't build
# the thunderbird-dbg package
include /usr/share/dpkg/pkg-info.mk
RELEASE := $(DEB_DISTRIBUTION)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ICU_DATA_FILE := $(shell basename config/external/icu/data/icud*.dat)
ICU_BUILD := $(shell if ! grep -qs -e "--with-system-icu" debian/mozconfig.default; then echo YES || NO; fi)
ICU_BUILD_DIR := $(CURDIR)/obj-thunderbird/obj-icu
ICU_BUILD_CONFIGURE := --with-data-packaging=archive --enable-static --disable-layoutex --disable-shared --disable-extras --disable-icuio --disable-layout --disable-tests --disable-samples --disable-strict
ICU_BUILD_CPPFLAGS := "-DU_NO_DEFAULT_INCLUDE_UTF_HEADERS=1 -DUCONFIG_NO_LEGACY_CONVERSION -DUCONFIG_NO_TRANSLITERATION -DUCONFIG_NO_REGULAR_EXPRESSIONS -DUCONFIG_NO_BREAK_ITERATION -DU_CHARSET_IS_UTF8"

THUNDERBIRD_VERSION=$(shell tail -1 comm/mail/config/version.txt)
DEB_AUTO_UPDATE_AUTOCONF=2.13

# build directory used for building the thunderbird-l10n files
THUNDERBIRD_L10N_BUILDDIR=debian/thunderbird-l10n-build

# Iceowl/Lightning version, note this is different from the TB version!
LIGHTNING_VERSION := $(shell python $(CURDIR)/comm/calendar/lightning/build/makeversion.py ${THUNDERBIRD_VERSION})

# ID of the l10n language packs from upstream, need to match the application.id
# in thunderbird-l10n/$LANG/manifest.json
export MOZ_LANGPACK_ID = $(shell grep MOZ_LANGPACK_EID comm/mail/locales/Makefile.in | cut -f2 -d @)

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

# currently needed as workaround for GCC-6 built
# see https://bugzilla.mozilla.org/show_bug.cgi?id=1251576
# and https://bugzilla.mozilla.org/show_bug.cgi?id=1245783#c31
CFLAGS += -fno-delete-null-pointer-checks -fno-schedule-insns2 -fno-lifetime-dse
CXXFLAGS += -fno-delete-null-pointer-checks -fno-schedule-insns2 -fno-lifetime-dse

# special CFLAGS for various platforms
ifeq ($(DEB_BUILD_ARCH),armel)
	CFLAGS += -D__ARM_PCS
	LDFLAGS += -Wl,-z,muldefs
endif

# Reduce memory usage of the linker at the expense of processing time
# This should help on lower-end architectures like arm and mips, which
# spend an immense amount of time swapping.
LDFLAGS += -Wl,--reduce-memory-overheads
LDFLAGS += -Wl,--no-keep-memory
LDFLAGS += -Wl,--as-needed

# Make the linker generate compressed debug sections. dh_strip would do
# the same anyways, but it allows elfhack to work in combination with
# unstripped binaries when they would normally be larger than 2GiB.
# Doing this only on 64bit architectures.
ifeq (64,$(DEB_BUILD_ARCH_BITS))
	LDFLAGS += -Wl,--compress-debug-sections=zlib
endif

# Add execution time and memory usage stats in the logs
LDFLAGS += -Wl,--stats

export MOZ_BUILD_DATE := $(SOURCE_DATE_EPOCH)
export MOZCONFIG=$(shell pwd)/mozconfig.thunderbird
export MOZILLA_OFFICIAL=1
export DEB_BUILD_GNU_TYPE
export DEB_HOST_GNU_TYPE
export DEB_BUILD_OPTIONS
# Some Debian build tools clear out some variables
export SHELL=/bin/bash

%:
	dh $@

build:
	dh $@

override_dh_auto_clean:
	dh_auto_clean --builddirectory=obj-thunderbird
	find -type f -name "*.pyc" -exec rm {} \;
	rm -rf third_party/python/psutil/tmp
	rm -f configure old-configure js/src/configure js/src/old-configure mozconfig.*
	# needed for thunderbird-l10n
	rm -rf $(THUNDERBIRD_L10N_BUILDDIR)

override_dh_auto_configure:
	# run autoconf for all configure files
	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/configure ]; then \
		cd $(CURDIR) && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/js/src/configure ]; then \
		cd $(CURDIR)/js/src && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
	# copy the mozconfig files
	cp debian/mozconfig.* .
	# Disable debug symbols when building on 32-bits machines, because
	# a) the rust compiler can't deal with it in the available address
	# space, and b) the linker can't deal with it in the available address
	# space either.
ifeq (32,$(DEB_BUILD_ARCH_BITS))
	echo 'ac_add_options --disable-debug-symbols' >> mozconfig.default
endif
	echo 'mk_add_options MOZ_OBJDIR=$(CURDIR)/obj-thunderbird' >> mozconfig.thunderbird
	echo 'ac_add_options --prefix=$(CURDIR)/debian/tmp/usr' >> mozconfig.default
	@echo "rebuild ICU data file needed: $(ICU_BUILD)"
ifeq ($(ICU_BUILD),YES)
	####################################################################
	# (re)build upstream icudt*.dat due disabled usage of system files #
	####################################################################
	rm -f $(CURDIR)/config/external/icu/data/$(ICU_DATA_FILE)
	mkdir -p $(ICU_BUILD_DIR)
	cd $(ICU_BUILD_DIR) ;\
		$(CURDIR)/intl/icu/source/configure $(ICU_BUILD_CONFIGURE) CPPFLAGS=$(ICU_BUILD_CPPFLAGS) ;\
		$(MAKE) VERBOSE=1 -j$(NUMJOBS)
	@ICU_DATA_FILE_CREATED=$$(basename $(ICU_BUILD_DIR)/data/out/icud*.dat) ;\
	test -f $(ICU_BUILD_DIR)/data/out/$$ICU_DATA_FILE_CREATED && cp $(ICU_BUILD_DIR)/data/out/$$ICU_DATA_FILE_CREATED $(CURDIR)/config/external/icu/data ;\
	echo "created new ICU_DATA_FILE in $(CURDIR)/config/external/icu/data/$$ICU_DATA_FILE_CREATED"
endif
	# configure the various build settings
	# thunderbird, calendar-google-provider, lightning
	DIST= ./mach -v configure

override_dh_auto_build:
	# building the stuff
	./mach -v build
	# build thunderbird-l10n
	mkdir -p $(THUNDERBIRD_L10N_BUILDDIR)
	cd $(CURDIR)/thunderbird-l10n ;\
	for XPI in *; do \
		locale=`basename $${XPI}` ;\
		USED_LANGPACK_ID=`grep langpack- $${XPI}/manifest.json | tr '"' ' ' | awk '{print $$3}' | cut -f2-3 -d @` ;\
		if [ "$${USED_LANGPACK_ID}" != "$${MOZ_LANGPACK_ID}" ]; then \
			echo "MOZ_LANGPACK_ID mismatch! '$${USED_LANGPACK_ID}' != '$${MOZ_LANGPACK_ID}'" ;\
			echo "thunderbird-l10n l10n source '$${XPI}' uses a different MOZ_LANGPACK_ID than defined in $(CURDIR)/comm/mail/locales/Makefile.in!";\
			exit 1 ;\
		else \
			xpi-pack $${XPI} ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
		fi \
	done

override_dh_auto_install:
ifneq (,$(filter mips,$(DEB_BUILD_ARCH)))
	sed -i '/"javascript.options.\(baselinejit\|ion\)"/s/true/false/' obj-thunderbird/dist/bin/greprefs.js
endif
	# install thunderbird into temp install folder
	./mach -v install
	# install, symlinking thunderbird-l10n packages
	cd $(CURDIR)/thunderbird-l10n ;\
	for LANG in *; do \
		locale=`basename $${LANG}` ;\
		lowercase_locale=`echo $${locale} | tr 'A-Z' 'a-z'` ;\
		echo "preparing and working on 'thunderbird-l10n-$${lowercase_locale}  (langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi)" ;\
		mkdir -p $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/lib/thunderbird/extensions/ ;\
		install -D -m 644 ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/share/thunderbird/extensions/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
		ln -sf /usr/share/thunderbird/extensions/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi \
			$(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/lib/thunderbird/extensions/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
	done
	# install lightning-l10n
	# Since 60.2.1 we install the Lightning l10n files into the thunderbird-l10n package!
	cd $(CURDIR)/lightning-l10n ;\
	for LANG in *; do \
		locale=`basename $${LANG}` ;\
		lowercase_locale=`echo $${locale} | tr 'A-Z' 'a-z'` ;\
		echo "working on 'lightning-l10n-$${lowercase_locale}' (finally within thunderbird-l10n-$${lowercase_locale})" ;\
		mkdir -p $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/share/lightning ;\
		cp -a $${locale}/* $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/share/lightning ;\
	done
	dh_bash-completion

override_dh_install-arch:

## thunderbird 60.7.2

=== debian/changelog ===
thunderbird (2:60.7.2-1~mx19+1) mx; urgency=medium

  * Repackaged for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 22 Jun 2019 09:28:17 -0700

thunderbird (1:60.7.2-1) unstable; urgency=medium

  * [d6c79ed] New upstream version 60.7.2
    Fixed CVE issues in upstream version 60.7.2 (MFSA 2019-20
    CVE-2019-11707: Type confusion in Array.pop
    CVE-2019-11708: sandbox escape using Prompt:Open

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 21 Jun 2019 18:48:43 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # export DH_VERBOSE=1
 
 # checking the release type, if $(RELEASE)=UNRELEASED we won't build
-# the thunderbird-dbg package
+# the thunderbird-dbgsym package
 include /usr/share/dpkg/pkg-info.mk
 RELEASE := $(DEB_DISTRIBUTION)
